=== debian/changelog ===
ustreamer (3.12-1) unstable; urgency=medium

  * Initial release (Closes: #976232)

 -- Sam Reed <sam@reedyboy.net>  Fri, 22 Jan 2021 01:40:38 +0000
