=== debian/changelog ===
ustreamer (3.16-1) unstable; urgency=medium

  * New upstream 3.16

 -- Sam Reed <sam@reedyboy.net>  Fri, 05 Feb 2021 01:35:41 +0000
