=== debian/control ===
Source: ustreamer
Section: video
Priority: optional
Maintainer: Sam Reed <sam@reedyboy.net>
Build-Depends: debhelper-compat (= 12),
  libevent-dev,
  libjpeg62-turbo-dev,
  uuid-dev,
  libbsd-dev
Standards-Version: 4.5.1
Homepage: https://pikvm.org/
Vcs-Browser: https://salsa.debian.org/reedy/ustreamer
Vcs-Git: https://salsa.debian.org/reedy/ustreamer.git
Rules-Requires-Root: no

Package: ustreamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight and fast MJPG-HTTP streamer
 µStreamer is a lightweight and very quick server to stream MJPG video
 from any V4L2 device to the network. All new browsers have native
 support of this video format, as well as most video players such as
 mplayer, VLC etc. µStreamer is a part of the Pi-KVM project designed to
 stream VGA and HDMI screencast hardware data with the highest resolution
 and FPS possible.
