=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_usrlocal:
