=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ustreamer-$1\.tar\.gz/ \
  https://github.com/pikvm/ustreamer/tags .*/v?(\d\S+)\.tar\.gz
