=== debian/changelog ===
ustreamer (4.9-1build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:59:10 +0200

ustreamer (4.9-1) unstable; urgency=medium

  * New upstream 4.9

 -- Sam Reed <sam@reedyboy.net>  Sun, 07 Nov 2021 03:02:46 +0000

ustreamer (3.27-1) experimental; urgency=medium

  * New upstream 3.27

 -- Sam Reed <sam@reedyboy.net>  Thu, 06 May 2021 00:37:36 +0100

ustreamer (3.25-1) experimental; urgency=medium

  * New upstream 3.25
  * Swap libjpeg62-turbo-dev for libjpeg-dev in Build-Depends
    (Closes: #985861)

 -- Sam Reed <sam@reedyboy.net>  Thu, 08 Apr 2021 22:53:16 +0100
