=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: ustreamer
 Section: video
 Priority: optional
-Maintainer: Sam Reed <sam@reedyboy.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sam Reed <sam@reedyboy.net>
 Build-Depends: debhelper-compat (= 12),
   libevent-dev,
-  libjpeg62-turbo-dev,
+  libjpeg-dev,
   uuid-dev,
   libbsd-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://pikvm.org/
 Vcs-Browser: https://salsa.debian.org/reedy/ustreamer
 Vcs-Git: https://salsa.debian.org/reedy/ustreamer.git
