=== src/Makefile ===
--- 
+++ 
@@ -4,9 +4,6 @@
 CC ?= gcc
 CFLAGS ?= -O3
 LDFLAGS ?=
-
-RPI_VC_HEADERS ?= /opt/vc/include
-RPI_VC_LIBS ?= /opt/vc/lib
 
 
 # =====
@@ -26,6 +23,7 @@
 	ustreamer/data/*.c \
 	ustreamer/encoders/cpu/*.c \
 	ustreamer/encoders/hw/*.c \
+	ustreamer/h264/*.c \
 )
 
 _DUMP_LIBS = $(_COMMON_LIBS)
@@ -42,20 +40,17 @@
 endef
 
 
-ifneq ($(call optbool,$(WITH_OMX)),)
-_USTR_LIBS += -lbcm_host -lvcos -lvcsm -lopenmaxil -lmmal -lmmal_core -lmmal_util -lmmal_vc_client -lmmal_components -L$(RPI_VC_LIBS)
-override _CFLAGS += -DWITH_OMX -DOMX_SKIP64BIT -I$(RPI_VC_HEADERS)
-_USTR_SRCS += $(shell ls \
-	ustreamer/encoders/omx/*.c \
-	ustreamer/h264/*.c \
-)
-endif
-
-
 ifneq ($(call optbool,$(WITH_GPIO)),)
 _USTR_LIBS += -lgpiod
 override _CFLAGS += -DWITH_GPIO
 _USTR_SRCS += $(shell ls ustreamer/gpio/*.c)
+endif
+
+
+ifneq ($(call optbool,$(WITH_SYSTEMD)),)
+_USTR_LIBS += -lsystemd
+override _CFLAGS += -DWITH_SYSTEMD
+_USTR_SRCS += $(shell ls ustreamer/http/systemd/*.c)
 endif
