=== pkg/openwrt/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=ustreamer
-PKG_VERSION:=4.9
+PKG_VERSION:=5.4
 PKG_RELEASE:=1
 PKG_MAINTAINER:=Maxim Devaev <mdevaev@gmail.com>
 
@@ -30,7 +30,7 @@
 endef
 
 define Package/ustreamer/description
- µStreamer - Lightweight and fast MJPG-HTTP streamer
+ µStreamer - Lightweight and fast MJPEG-HTTP streamer
 endef
 
 define Package/ustreamer/install
