=== debian/changelog ===
ustreamer (5.4-1) unstable; urgency=medium

  [ Sam Reed ]
  * New upstream 5.4
  * Set Architecture: linux-any

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sam Reed <sam@reedyboy.net>  Fri, 27 May 2022 21:46:31 +0000
