=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: ustreamer
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sam Reed <sam@reedyboy.net>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Sam Reed <sam@reedyboy.net>
+Build-Depends: debhelper-compat (= 13),
   libevent-dev,
   libjpeg-dev,
   uuid-dev,
   libbsd-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pikvm.org/
 Vcs-Browser: https://salsa.debian.org/reedy/ustreamer
 Vcs-Git: https://salsa.debian.org/reedy/ustreamer.git
 Rules-Requires-Root: no
 
 Package: ustreamer
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Lightweight and fast MJPG-HTTP streamer
  µStreamer is a lightweight and very quick server to stream MJPG video
